Subject: Re: Crash in ns_draw_glyph_string

From: David Reitter <[email-masked]>
Date: Fri, 24 Apr 2009 01:02:42 -0400

On Apr 23, 2009, at 11:26 PM, Adrian Robert wrote:
>> David Reitter <[email-masked]> wrote:
>>
>>> Emacs -Q
>>> M-x list-faces-display
>>> C-x o
>>> C-x 1
>>> M-: (setq scroll-step 1 scroll-conservatively 1)
>>> (enlarge frame a bit)
>>>
>>> Now scroll down (with Down/Home) repeatedly.  In two out of three
>>> trials this produced the crash below for me.
>
>
> I can't get this to reproduce when -O2 not given, but the stack  
> trace is incomplete when it is.  David, is this crash frequently  
> occurring in other contexts, or only through the specific recipe you  
> give?

I've had these crashes a lot when experimenting with many faces being  
displayed - but only then; not really (or rarely) during normal use.   
I've been using -O3.

Unfortunately I couldn't reproduce under gdb the other day.